Subject: [ofa-general] Re: [PATCH 13/14 v2] nes: kernel build infrastructure

From: Roland Dreier <[email-masked]>
Date: Sun, 21 Oct 2007 19:23:50 -0700

> +config INFINIBAND_NES_DEBUG
 > +	bool "Verbose debugging output"
 > +	depends on INFINIBAND_NES
 > +	default n
 > +	---help---
 > +	  This option causes the NetEffect RNIC driver to produce debug
 > +	  messages.  Select this if you are developing the driver
 > +	  or trying to diagnose a problem.

If you make this default n then no distro will have it enabled and
you'll have to rebuild to debug anything.  Better to have the default
be enabled and make it controllable at runtime too with a module
parameter.  (you can look at what mthca does for an example of what I mean)